org.codehaus.plexus.configuration

## Interface PlexusConfiguration

All Known Implementing Classes:
  XmlPlexusConfiguration

    public interface PlexusConfiguration

### Method Summary

Methods
`void` `addChild(PlexusConfiguration configuration)`
`String` `getAttribute(String paramName)`
`String` `getAttribute(String name, String defaultValue)`
`String[]` `getAttributeNames()`
`PlexusConfiguration` `getChild(int i)`
`PlexusConfiguration` `getChild(String child)`
`PlexusConfiguration` `getChild(String child, boolean createChild)`
`int` `getChildCount()`
`PlexusConfiguration[]` `getChildren()`
`PlexusConfiguration[]` `getChildren(String name)`
`String` `getName()`
`String` `getValue()`
`String` `getValue(String defaultValue)`

### Method Detail

#### getName

    String getName()

#### getValue

    String getValue()
                    throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### getValue

    String getValue(String defaultValue)

#### getAttributeNames

    String[] getAttributeNames()

#### getAttribute

    String getAttribute(String paramName)
                        throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### getAttribute

    String getAttribute(String name,
                      String defaultValue)

#### getChild

    PlexusConfiguration getChild(String child)

#### getChild

    PlexusConfiguration getChild(int i)

#### getChild

    PlexusConfiguration getChild(String child,
                               boolean createChild)

#### getChildren

    PlexusConfiguration[] getChildren()

#### getChildren

    PlexusConfiguration[] getChildren(String name)

#### addChild

    void addChild(PlexusConfiguration configuration)

#### getChildCount

    int getChildCount()